CREATE TABLE fa_mass_trx_details (
    MASS_TRANSACTION_ID              NUMBER(18, 0)    NOT NULL,
    METHOD_ID                        NUMBER(18, 0),
    FLAT_RATE_ID                     NUMBER(18, 0),
    PRODUCTION_CAPACITY              NUMBER       ,
    UNIT_OF_MEASURE                  VARCHAR2(100),
    CONVENTION_TYPE_ID               NUMBER(18, 0),
    BONUS_RULE_ID                    NUMBER(18, 0),
    CEILING_TYPE_ID                  NUMBER       ,
    CASH_GENERATING_UNIT_ID          NUMBER       ,
    GROUP_ASSOCIATION                VARCHAR2(120),
    GROUP_ASSET_ID                   NUMBER(18, 0),
    DATE_PLACED_IN_SERVICE           DATE         ,
    SALVAGE_TYPE                     VARCHAR2(120),
    SALVAGE_PERCENT                  NUMBER       ,
    SALVAGE_VALUE                    NUMBER       ,
    DEPRN_LIMIT_TYPE                 VARCHAR2(120),
    DEPRN_LIMIT_PERCENT              NUMBER       ,
    DEPRN_LIMIT_AMOUNT               NUMBER       ,
    DISTRIBUTION_SET_ID              NUMBER(18, 0),
    ASSIGNED_TO                      NUMBER(18, 0),
    PROCEEDS_OF_SALE                 NUMBER       ,
    COST_OF_REMOVAL                  NUMBER       ,
    RETIREMENT_TYPE_CODE             VARCHAR2(120),
    RETIREMENT_CONVENTION_TYPE_ID    NUMBER(18, 0),
    SOLD_TO                          VARCHAR2(120),
    REFERENCE_NUM                    VARCHAR2(60) ,
    UNITS_TO_RETIRE                  NUMBER(18, 0),
    RET_ATTRIBUTE1                   VARCHAR2(600),
    RET_ATTRIBUTE2                   VARCHAR2(600),
    RET_ATTRIBUTE3                   VARCHAR2(600),
    RET_ATTRIBUTE4                   VARCHAR2(600),
    RET_ATTRIBUTE5                   VARCHAR2(600),
    RET_ATTRIBUTE6                   VARCHAR2(600),
    RET_ATTRIBUTE7                   VARCHAR2(600),
    RET_ATTRIBUTE8                   VARCHAR2(600),
    RET_ATTRIBUTE9                   VARCHAR2(600),
    RET_ATTRIBUTE10                  VARCHAR2(600),
    RET_ATTRIBUTE11                  VARCHAR2(600),
    RET_ATTRIBUTE12                  VARCHAR2(600),
    RET_ATTRIBUTE13                  VARCHAR2(600),
    RET_ATTRIBUTE14                  VARCHAR2(600),
    RET_ATTRIBUTE15                  VARCHAR2(600),
    RET_ATTRIBUTE_NUMBER1            NUMBER       ,
    RET_ATTRIBUTE_NUMBER2            NUMBER       ,
    RET_ATTRIBUTE_NUMBER3            NUMBER       ,
    RET_ATTRIBUTE_NUMBER4            NUMBER       ,
    RET_ATTRIBUTE_NUMBER5            NUMBER       ,
    RET_ATTRIBUTE_DATE1              DATE         ,
    RET_ATTRIBUTE_DATE2              DATE         ,
    RET_ATTRIBUTE_DATE3              DATE         ,
    RET_ATTRIBUTE_DATE4              DATE         ,
    RET_ATTRIBUTE_DATE5              DATE         ,
    RET_ATTRIBUTE_CATEGORY_CODE      VARCHAR2(120),
    INHERIT_DEF_RULES_FLAG           VARCHAR2(4)  ,
    COPY_CATEGORY_DFF_FLAG           VARCHAR2(4)  ,
    DEST_BOOK_TYPE_CODE              VARCHAR2(120),
    CREATE_NEW_ASSET_FLAG            VARCHAR2(4)  ,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    CATEGORY_FLEX_FILTER             XMLTYPE      ,
    LOCATION_FLEX_FILTER             XMLTYPE      ,
    DEPRN_EXPENSE_FLEX_FILTER        XMLTYPE      ,
    REVAL_METHOD                     VARCHAR2(120),
    REVAL_FULLY_RSVD_FLAG            VARCHAR2(4)  ,
    LIFE_EXTENSION_FACTOR            NUMBER       ,
    LIFE_EXTENSION_CEILING           NUMBER       ,
    PERIOD_END_REVAL_FLAG            VARCHAR2(4)  ,
    REVAL_VALUE_TYPE                 VARCHAR2(120),
    LINKED_FLAG                      VARCHAR2(4)  ,
    REVAL_PERCENTAGE                 NUMBER       ,
    MAX_FULLY_RSVD_REVALS            NUMBER(18, 0),
    EXTENDED_DEPRN_FLAG              VARCHAR2(4)  ,
    PERIOD_COUNTER_EXTENDED          NUMBER(18, 0),
    BK_GLOBAL_ATTRIBUTE_CATEGORY     VARCHAR2(120),
    BK_GLOBAL_ATTRIBUTE1             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE2             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE3             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE4             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE5             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE6             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE7             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE8             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE9             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE10            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE11            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE12            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE13            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE14            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE15            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE16            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE17            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE18            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE19            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE20            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE_NUMBER1      NUMBER       ,
    BK_GLOBAL_ATTRIBUTE_NUMBER2      NUMBER       ,
    BK_GLOBAL_ATTRIBUTE_NUMBER3      NUMBER       ,
    BK_GLOBAL_ATTRIBUTE_NUMBER4      NUMBER       ,
    BK_GLOBAL_ATTRIBUTE_NUMBER5      NUMBER       ,
    BK_GLOBAL_ATTRIBUTE_DATE1        DATE         ,
    BK_GLOBAL_ATTRIBUTE_DATE2        DATE         ,
    BK_GLOBAL_ATTRIBUTE_DATE3        DATE         ,
    BK_GLOBAL_ATTRIBUTE_DATE4        DATE         ,
    BK_GLOBAL_ATTRIBUTE_DATE5        DATE         ,
    UNPLAN_EXPENSE_ACCOUNT_CCID      NUMBER(18, 0),
    GLOBAL_ATTRIBUTE_NUMBER6         NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER7         NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER8         NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER9         NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER10        NUMBER       ,
    UPDATE_LAST_USED_INDEX_FLAG      VARCHAR2(4)  ,
    ANNUITY_INTEREST_RATE            NUMBER       ,
    BOOK_TRANSFER_TYPE_CODE          VARCHAR2(120),
    COST_BASIS_CODE                  VARCHAR2(120),
    USE_DEST_CAT_DEPRN_RULES_FLAG    VARCHAR2(4)  ,
    USE_XFR_DATE_AS_DPIS_FLAG        VARCHAR2(4)  ,
    COPY_SOURCE_LINES_FLAG           VARCHAR2(4)  ,
    COPY_DFF_FLAG                    VARCHAR2(4)  ,
    COPY_ASSET_KEY_FLAG              VARCHAR2(4)  ,
    NBV_MARKUP_PERCENTAGE            NUMBER       ,
    CONVERSION_RATE_TYPE             VARCHAR2(120),
    EXCHANGE_RATE                    NUMBER       ,
    REPORTING_CUR_RATE_BASIS_CODE    VARCHAR2(120),
    DEPRN_EXPENSE_MAPPING_CODE       VARCHAR2(120),
    COA_MAPPING_ID                   NUMBER(18, 0),
    MASS_TRANSACTION_ID              NUMBER(18, 0)    NOT NULL,
    METHOD_ID                        NUMBER(18, 0),
    FLAT_RATE_ID                     NUMBER(18, 0),
    PRODUCTION_CAPACITY              NUMBER       ,
    UNIT_OF_MEASURE                  VARCHAR2(100),
    CONVENTION_TYPE_ID               NUMBER(18, 0),
    BONUS_RULE_ID                    NUMBER(18, 0),
    CEILING_TYPE_ID                  NUMBER       ,
    CASH_GENERATING_UNIT_ID          NUMBER       ,
    GROUP_ASSOCIATION                VARCHAR2(120),
    GROUP_ASSET_ID                   NUMBER(18, 0),
    DATE_PLACED_IN_SERVICE           DATE         ,
    SALVAGE_TYPE                     VARCHAR2(120),
    SALVAGE_PERCENT                  NUMBER       ,
    SALVAGE_VALUE                    NUMBER       ,
    DEPRN_LIMIT_TYPE                 VARCHAR2(120),
    DEPRN_LIMIT_PERCENT              NUMBER       ,
    DEPRN_LIMIT_AMOUNT               NUMBER       ,
    DISTRIBUTION_SET_ID              NUMBER(18, 0),
    ASSIGNED_TO                      NUMBER(18, 0),
    PROCEEDS_OF_SALE                 NUMBER       ,
    COST_OF_REMOVAL                  NUMBER       ,
    RETIREMENT_TYPE_CODE             VARCHAR2(120),
    RETIREMENT_CONVENTION_TYPE_ID    NUMBER(18, 0),
    SOLD_TO                          VARCHAR2(120),
    REFERENCE_NUM                    VARCHAR2(60) ,
    UNITS_TO_RETIRE                  NUMBER(18, 0),
    RET_ATTRIBUTE1                   VARCHAR2(600),
    RET_ATTRIBUTE2                   VARCHAR2(600),
    RET_ATTRIBUTE3                   VARCHAR2(600),
    RET_ATTRIBUTE4                   VARCHAR2(600),
    RET_ATTRIBUTE5                   VARCHAR2(600),
    RET_ATTRIBUTE6                   VARCHAR2(600),
    RET_ATTRIBUTE7                   VARCHAR2(600),
    RET_ATTRIBUTE8                   VARCHAR2(600),
    RET_ATTRIBUTE9                   VARCHAR2(600),
    RET_ATTRIBUTE10                  VARCHAR2(600),
    RET_ATTRIBUTE11                  VARCHAR2(600),
    RET_ATTRIBUTE12                  VARCHAR2(600),
    RET_ATTRIBUTE13                  VARCHAR2(600),
    RET_ATTRIBUTE14                  VARCHAR2(600),
    RET_ATTRIBUTE15                  VARCHAR2(600),
    RET_ATTRIBUTE_NUMBER1            NUMBER       ,
    RET_ATTRIBUTE_NUMBER2            NUMBER       ,
    RET_ATTRIBUTE_NUMBER3            NUMBER       ,
    RET_ATTRIBUTE_NUMBER4            NUMBER       ,
    RET_ATTRIBUTE_NUMBER5            NUMBER       ,
    RET_ATTRIBUTE_DATE1              DATE         ,
    RET_ATTRIBUTE_DATE2              DATE         ,
    RET_ATTRIBUTE_DATE3              DATE         ,
    RET_ATTRIBUTE_DATE4              DATE         ,
    RET_ATTRIBUTE_DATE5              DATE         ,
    RET_ATTRIBUTE_CATEGORY_CODE      VARCHAR2(120),
    INHERIT_DEF_RULES_FLAG           VARCHAR2(4)  ,
    COPY_CATEGORY_DFF_FLAG           VARCHAR2(4)  ,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    REVAL_METHOD                     VARCHAR2(120),
    REVAL_FULLY_RSVD_FLAG            VARCHAR2(4)  ,
    LIFE_EXTENSION_FACTOR            NUMBER       ,
    LIFE_EXTENSION_CEILING           NUMBER       ,
    PERIOD_END_REVAL_FLAG            VARCHAR2(4)  ,
    REVAL_VALUE_TYPE                 VARCHAR2(120),
    LINKED_FLAG                      VARCHAR2(4)  ,
    REVAL_PERCENTAGE                 NUMBER       ,
    MAX_FULLY_RSVD_REVALS            NUMBER(18, 0),
    EXTENDED_DEPRN_FLAG              VARCHAR2(4)  ,
    PERIOD_COUNTER_EXTENDED          NUMBER(18, 0),
    BK_GLOBAL_ATTRIBUTE_CATEGORY     VARCHAR2(120),
    BK_GLOBAL_ATTRIBUTE1             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE2             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE3             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE4             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE5             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE6             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE7             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE8             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE9             VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE10            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE11            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE12            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE13            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE14            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE15            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE16            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE17            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE18            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE19            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE20            VARCHAR2(600),
    BK_GLOBAL_ATTRIBUTE_NUMBER1      NUMBER       ,
    BK_GLOBAL_ATTRIBUTE_NUMBER2      NUMBER       ,
    BK_GLOBAL_ATTRIBUTE_NUMBER3      NUMBER       ,
    BK_GLOBAL_ATTRIBUTE_NUMBER4      NUMBER       ,
    BK_GLOBAL_ATTRIBUTE_NUMBER5      NUMBER       ,
    BK_GLOBAL_ATTRIBUTE_DATE1        DATE         ,
    BK_GLOBAL_ATTRIBUTE_DATE2        DATE         ,
    BK_GLOBAL_ATTRIBUTE_DATE3        DATE         ,
    BK_GLOBAL_ATTRIBUTE_DATE4        DATE         ,
    BK_GLOBAL_ATTRIBUTE_DATE5        DATE         ,
    UNPLAN_EXPENSE_ACCOUNT_CCID      NUMBER(18, 0),
    GLOBAL_ATTRIBUTE_NUMBER6         NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER7         NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER8         NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER9         NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER10        NUMBER       ,
    UPDATE_LAST_USED_INDEX_FLAG      VARCHAR2(4)  ,
    CATEGORY_FLEX_FILTER             XMLTYPE      ,
    DEPRN_EXPENSE_FLEX_FILTER        XMLTYPE      ,
    LOCATION_FLEX_FILTER             XMLTYPE      ,
    DEST_BOOK_TYPE_CODE              VARCHAR2(120),
    CREATE_NEW_ASSET_FLAG            VARCHAR2(4)  ,
    ANNUITY_INTEREST_RATE            NUMBER       ,
    BOOK_TRANSFER_TYPE_CODE          VARCHAR2(120),
    COST_BASIS_CODE                  VARCHAR2(120),
    USE_DEST_CAT_DEPRN_RULES_FLAG    VARCHAR2(4)  ,
    USE_XFR_DATE_AS_DPIS_FLAG        VARCHAR2(4)  ,
    COPY_SOURCE_LINES_FLAG           VARCHAR2(4)  ,
    COPY_DFF_FLAG                    VARCHAR2(4)  ,
    COPY_ASSET_KEY_FLAG              VARCHAR2(4)  ,
    NBV_MARKUP_PERCENTAGE            NUMBER       ,
    CONVERSION_RATE_TYPE             VARCHAR2(120),
    EXCHANGE_RATE                    NUMBER       ,
    REPORTING_CUR_RATE_BASIS_CODE    VARCHAR2(120),
    DEPRN_EXPENSE_MAPPING_CODE       VARCHAR2(120),
    COA_MAPPING_ID                   NUMBER(18, 0)
);
